Bug 16018 - Account not working on annarchy
Summary: Account not working on annarchy
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Administration (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-19 11:17 UTC by Rafael Fernández López
Modified: 2008-07-28 08:39 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Rafael Fernández López 2008-05-19 11:17:53 UTC
Hi,

I have been trying (before the SSH problem) and after the problem itself (changing my SSH key properly, which was replied back telling it was modified correctly) to log into annarchy with username 'ereslibre'.

It won't work (ssh://ereslibre@annarchy.freedesktop.org) since couple guys have checked it, and there is no 'ereslibe' entry on /etc/passwd and there is no home for 'ereslibre' user.

Can you please have a look at it ?


Thank you very much.
Comment 1 Rafael Fernández López 2008-05-19 11:19:57 UTC
Please note I wrote incorrectly it one time. It is not 'ereslibe', but 'ereslibre'. There was a missing 'r'.

BTW, on the mails I'm getting from freedesktop, it seems my name is stored as "Rafael López". My full name is "Rafael Fernández López", so in the case of only writing 1 surname, it would be "Rafael Fernández".


Thanks again.
Comment 2 Daniel Stone 2008-05-19 13:52:41 UTC
On Mon, May 19, 2008 at 11:17:54AM -0700, bugzilla-daemon@freedesktop.org wrote:
> I have been trying (before the SSH problem) and after the problem itself
> (changing my SSH key properly, which was replied back telling it was modified
> correctly) to log into annarchy with username 'ereslibre'.
> 
> It won't work (ssh://ereslibre@annarchy.freedesktop.org) since couple guys have
> checked it, and there is no 'ereslibe' entry on /etc/passwd and there is no
> home for 'ereslibre' user.
> 
> Can you please have a look at it ?

Your new key has been added, but you're not in any groups.  Which
project are you actually working on?

Also, we don't use /etc/passwd.  'getent passwd ereslibre' is what you
want.
Comment 3 Rafael Fernández López 2008-05-19 14:33:15 UTC
> Your new key has been added, but you're not in any groups.  Which
> project are you actually working on?

I am going to work on a new spec called JobView/JobViewServer, not on currently existing projects.
Comment 4 Benjamin Close 2008-05-20 18:51:00 UTC
Rafael, before we give you project space/enable your account, can you give us a little info about your JobviewServer spec.

Ie: 

o What's it purpose
o Who/which apps etc would use it
o The aimed completion time for a version 1.0 of the spec
o What you would need us to setup for you (ie git repo, webspace, etc).

(Please remove NEEDINFO keyworld when replying)
Comment 5 Rafael Fernández López 2008-05-21 01:31:30 UTC
For more info about the discussion itself, you can check out bug #15218.

> o Who/which apps etc would use it

Every app/library that does a time consuming time, for notifying the user about the operation.

This means, for instance, copying files, burning CDs/DVDs, a complicated math calculation in progress, downloading mail, downloading emoticons for an IM messagging app... whatever.

> o The aimed completion time for a version 1.0 of the spec

I'm pretty sure I can have it in couple months, but that always depends on how many changes and updates I need to do.

> o What you would need us to setup for you (ie git repo, webspace, etc).

My idea is to somehow have the specification in a public repository (so people can have free access to it, if someone else working on the spec wants to change something that has been agreed).

Apart from that, I would like to have webspace enabled so I make reference to the work I'm doing on freedesktop.

> (Please remove NEEDINFO keyworld when replying)

Done.

Comment 6 Rafael Fernández López 2008-05-21 01:32:36 UTC
> Every app/library that does a time consuming time, for notifying the user about
> the operation.

OMG... I rephrase:

Every app/library that does a time consuming operation, for notifying the user about the progress of it.

Comment 7 Benjamin Close 2008-07-21 16:29:50 UTC
Hi Rafael, sorry this has taken so long. I've enabled your account but not yet created any repositories or web space. Could you start by creating a git repo in your home directory which will then show up on cgit.freedesktop.org under your username. Once you get something up and running and some interaction with other groups, then file another bug, referencing this one and we'll get some webspace setup and shift the repo to a fully public project.
Comment 8 Rafael Fernández López 2008-07-28 06:16:09 UTC
I can ssh now and I have a home folder. However, it is owned by root, and I have no writing permissions on it.

I would like to know how to add myself here http://people.freedesktop.org/, since all this was to start developing a draft fd.o spec here.
Comment 9 Benjamin Close 2008-07-28 08:39:18 UTC
Crap!  Fixed. You should find yourself appearing on people.freedesktop.org once you create a public_html directory. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.